Bug 13042 - remote serverid check doesn't check for the unique id
remote serverid check doesn't check for the unique id
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Clustering
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-20 00:39 UTC by Volker Lendecke
Modified: 2017-11-01 08:49 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-7 (deleted)
2017-09-27 05:14 UTC, Amitay Isaacs
no flags Details
Patches for v4-7 (49.73 KB, patch)
2017-09-27 07:36 UTC, Amitay Isaacs
vl: review-
martins: review+
Details
Patches for v4-7 (49.66 KB, patch)
2017-09-27 23:11 UTC, Amitay Isaacs
vl: review+
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2017-09-20 00:39:26 UTC

    
Comment 1 Amitay Isaacs 2017-09-27 05:14:47 UTC
Created attachment 13632 [details]
Patches for v4-7
Comment 2 Amitay Isaacs 2017-09-27 05:29:37 UTC
The content of attachment 13632 [details] has been deleted for the following reason:

Backport has a bug..
Comment 3 Amitay Isaacs 2017-09-27 07:36:42 UTC
Created attachment 13633 [details]
Patches for v4-7

Martin, can you look at the CTDB patches?
Volker can look at the Samba patches..
Comment 4 Martin Schwenke 2017-09-27 09:16:34 UTC
Comment on attachment 13633 [details]
Patches for v4-7

Volker, can you please also review to ensure you're happy with the last few commits?  Thanks...
Comment 5 Volker Lendecke 2017-09-27 09:36:58 UTC
Comment on attachment 13633 [details]
Patches for v4-7

-               return ctdbd_process_exists(messaging_ctdbd_connection(),
+               return ctdbd_process_exists(messaging_ctdb_connection(),

in patch 15/16 is wrong. This is a change that's only in master that should not go into 4.7. Do you want me to upload a fixed patchset, or do you want to do that?
Comment 6 Amitay Isaacs 2017-09-27 23:11:55 UTC
Created attachment 13640 [details]
Patches for v4-7
Comment 7 Martin Schwenke 2017-09-28 02:17:30 UTC
Comment on attachment 13640 [details]
Patches for v4-7

Looks good to me... Volker?
Comment 8 Volker Lendecke 2017-09-28 11:48:10 UTC
Comment on attachment 13640 [details]
Patches for v4-7

Yep, thanks!
Comment 9 Amitay Isaacs 2017-10-03 06:03:22 UTC
Metze,

Are you handling the backports in Karolin's absence?
Comment 10 Stefan Metzmacher 2017-10-03 07:34:27 UTC
(In reply to Amitay Isaacs from comment #9)

Yes, but I look for bug assigned to Karolin.
Comment 11 Karolin Seeger 2017-10-24 08:14:16 UTC
Pushed to autobuild-v4-7-test.
Comment 12 Karolin Seeger 2017-11-01 08:49:52 UTC
(In reply to Karolin Seeger from comment #11)
Pushed to v4-7-test.
Closing out bug report.

Thanks!